uk.gov.hmrc.ct.box

# ValidatableBox

###
Related Docs: trait ValidatableBox | package box

#### object ValidatableBox

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValidatableBox
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type OptionalBigDecimalIdBox = OptionalCtValue[BigDecimal] with CtBoxIdentifier

2. #### type OptionalBooleanIdBox = OptionalCtValue[Boolean] with CtBoxIdentifier

3. #### type OptionalDateIdBox = OptionalCtValue[LocalDate] with CtBoxIdentifier

4. #### type OptionalIntIdBox = OptionalCtValue[Int] with CtBoxIdentifier

5. #### type OptionalStringIdBox = OptionalCtValue[String] with CtBoxIdentifier

6. #### type StringIdBox = CtValue[String] with CtBoxIdentifier

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val AccountNumberValidChars: String

5. #### val SortCodeValidChars: String

6. #### val StandardCohoNameFieldLimit: Int

7. #### val StandardCohoTextFieldLimit: Int

8. #### val ValidCoHoCharacters: String

9. #### val ValidCoHoNamesCharacters: String

10. #### val ValidNonForeignLessRestrictiveCharacters: String

11. #### val ValidNonForeignMoreRestrictiveCharacters: String

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def commaForThousands(i: Int): String

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped